Bug 523244 - isnsd missing LSB mandatory action force-reload
Summary: isnsd missing LSB mandatory action force-reload
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: isns-utils
Version: 12
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Mike Christie
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: InitScriptsProject 585120
TreeView+ depends on / blocked
 
Reported: 2009-09-14 14:56 UTC by Jan Tluka
Modified: 2010-12-05 06:25 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 585120 (view as bug list)
Environment:
Last Closed: 2010-12-05 06:25:01 UTC


Attachments (Terms of Use)

Description Jan Tluka 2009-09-14 14:56:51 UTC
Description of problem:
According to LSB initscripts recommendation every initscript has to support force-reload action. This is targeted for RHEL6. Current Fedora rawhide implementation does not support this action. The specification is at https://fedoraproject.org/wiki/FCNewInit/Initscripts

Version-Release number of selected component (if applicable):
# rpm -q isns-utils
isns-utils-0.91-4.fc12.x86_64

How reproducible:
Always

Steps to Reproduce:
1. bash
2. grep -i "usage.*force-reload" /etc/init.d/isnsd
3. if [ $? -eq 0 ]; then echo "PASS"; else echo "FAILED"; fi

  
Actual results:
FAILED, isns-utils does not support force-reload action as described in LSB recommendation.

Expected results:
PASS, action force-reload is present.

Additional info:

Comment 1 Bug Zapper 2009-11-16 12:22:20 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 3 Bug Zapper 2010-11-04 10:02:47 UTC
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 4 Bug Zapper 2010-12-05 06:25:01 UTC
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.